%define	defperlver	5.6.0
%define	enable_tests	0
%define	perlver		%(rpm -q perl --queryformat '%%{version}' 2> /dev/null || echo %{defperlver})
%define	perlmajor	%(echo %{perlver} | cut -f1 -d.)
%define	contentdir	/home/httpd/

Summary:	An embedded Perl interpreter for the Apache Web server.
Name:		mod_perl
Group:		System Environment/Daemons
License:	GPL
Version:	2.0.1
Release:	3
Source0:	http://perl.apache.org/dist/%{name}-%{version}.tar.gz
Source1:	mod_perl-2.0.1-filter-perl-requires-gd-1.sh
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	webserver, perl >= %{perlver}
BuildPrereq:	apache-devel, perl
Prereq:		perl

# Exclude some modules from the automagic dependancy generator.
%define __perl_requires %{SOURCE1}

%description
Mod_perl incorporates a Perl interpreter into the Apache web server,
so that the Apache web server can directly execute Perl code.
Mod_perl links the Perl runtime library into the Apache web server and
provides an object-oriented Perl interface for Apache's C language
API.  The end result is a quicker CGI script turnaround process, since
no external Perl interpreter has to be started.

%files
  %defattr(0444,root,root,0555)
  %doc Changes INSTALL LICENSE README* STATUS SVN-MOVE docs/
  %doc %{_mandir}/man3/*.3*

  %attr(0511,root,root)		%{_bindir}/mp2bug
  %attr(0500,root,root)		%{_libexecdir}/apache/mod_perl.so

  %defattr(-,root,root)
  %{_libdir}/perl%{perlmajor}/vendor_perl/%{perlver}/*/auto/*
  %{_libdir}/perl%{perlmajor}/vendor_perl/%{perlver}/*/Apache/*
  %{_libdir}/perl%{perlmajor}/vendor_perl/%{perlver}/*/Apache2/*
  %{_libdir}/perl%{perlmajor}/vendor_perl/%{perlver}/*/APR/*
  %{_libdir}/perl%{perlmajor}/vendor_perl/%{perlver}/*/APR.pm
  %{_libdir}/perl%{perlmajor}/vendor_perl/%{perlver}/*/Bundle/*
  %{_libdir}/perl%{perlmajor}/vendor_perl/%{perlver}/*/ModPerl/*
  %{_libdir}/perl%{perlmajor}/vendor_perl/%{perlver}/*/mod_perl2.pm

%prep
%setup -q

%build
  CFLAGS="$RPM_OPT_FLAGS -fpic" \
  %{__perl} Makefile.PL </dev/null \
	PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
	INSTALLDIRS=vendor \
	MP_APXS=%{_sbindir}/apxs \
	MP_APR_CONFIG=%{_bindir}/apr-config \
	CCFLAGS="$RPM_OPT_FLAGS -fPIC" \
	EVERYTHING=1

  make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS -fpic"

%if %{enable_tests}
  make test
%endif

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  install -d $RPM_BUILD_ROOT%{_libexecdir}/apache

  make install MODPERL_AP_LIBEXECDIR=$RPM_BUILD_ROOT%{_libexecdir}/apache \
	       MODPERL_AP_INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir}/apache

  # Fix permissions of solibs to avoid strip failures on non-root builds.
  find $RPM_BUILD_ROOT%{_libdir} -name "*.so" | xargs chmod u+w

  # Remove unpackaged files.
  find $RPM_BUILD_ROOT%{_libdir}/perl?/vendor_perl/*/*/auto -name "*.bs" | xargs rm  
  rm -f  $RPM_BUILD_ROOT%{_libdir}/perl?/vendor_perl/*/*/perllocal.pod
  rm -f  $RPM_BUILD_ROOT%{_libdir}/perl?/*/*/perllocal.pod
  rm -fr $RPM_BUILD_ROOT/%{contentdir}/html/manual
  rm -fr $RPM_BUILD_ROOT/%{_includedir}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jul 20 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0.1, Release 3
  - Fix the perl dependancy to be >= instead of =.

* Wed Jul 06 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0.1, Release 2
  - Correct version in previous changelog entry.
  - Update filter-requires with new requires we should be ignoring.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0.1, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
